%mingw_package

%define lib_name libpng
%define lib_major 3
%define srcname %lib_name-%version
%define pkgname %lib_name

Name: %cross_arch-%pkgname
Version: 1.2.8
Release: alt2

Summary: %pkgname DLL for %cross_arch target
License: OSI certified
Group: System/Libraries
Url: http://www.%lib_name.org/pub/png/%lib_name.html

BuildArch: noarch

Source: ftp://swrinde.nde.swri.edu/pub/png/src/%srcname.tar.bz2

Patch1: libpng-1.2.8-mingw-build.patch

BuildPreReq: i386-mingw32msvc-devel >= 0.0.2

# Automatically added by buildreq on Sun Oct 03 2004 (-bi)
BuildRequires: i386-mingw32msvc-binutils i386-mingw32msvc-gcc i386-mingw32msvc-runtime i386-mingw32msvc-zlib-devel-static 

%package devel
Summary: Header files for developing apps which will use %pkgname
Group: Development/C
PreReq: %cross_arch-base
Conflicts: %name < %version-%release
Conflicts: %name > %version-%release

%package devel-static
Summary: Static %pkgname library for %cross_arch target
Group: Development/C
PreReq: %cross_arch-base
Requires: %name-devel = %version-%release
Requires: %cross_arch-zlib-devel-static

%description
This package contains %pkgname DLL built for %cross_arch target.

%description devel
%pkgname development files for crosscompiling to
%cross_arch target.

%description devel-static
Static version of %pkgname library for %cross_arch target.

%prep
%setup -q -n %srcname
%patch1 -p1
find -type f -name \*.orig -print -delete
%__ln_s scripts/makefile.cygwin Makefile

%build
%define _optlevel 3
%add_optflags -D_REENTRANT -momit-leaf-frame-pointer

CFLAGS="%optflags" \
%cross_env \
AR="%cross_arch-ar rc" \
RANLIB="%cross_arch-ranlib" \
prefix=%_archprefix \
make

%install
%make_install install prefix=%buildroot%_archprefix BINDIR=%buildroot%_bindir LIBDIR=%buildroot%_libdir


%cross_arch-strip --strip-unneeded %buildroot%_archbindir/*.dll
%cross_arch-strip --strip-unneeded %buildroot%_archlibdir/*.dll.a

%files
%_archbindir/*.dll

%files devel
%_bindir/i386-mingw32msvc-libpng*-config
%_libdir/pkgconfig/*
%_archlibdir/*.dll.a
%_archincludedir/*

%files devel-static
%_archlibdir/*.a
%exclude %_archlibdir/*.dll.a

%changelog
* Fri Dec 17 2004 Alexander Borovsky <partizan@altlinux.ru> 1.2.8-alt2
- Moved i386-mingw32msvc-libpng-config to devel package

* Mon Dec 13 2004 Alexander Borovsky <partizan@altlinux.ru> 1.2.8-alt1
- Synchronized with libpng3-1.2.8-alt2
- Configuration script renamed to i386-mingw32msvc-libpng21-config
- Build pkgconfig files

* Wed Nov 24 2004 Alexander Borovsky <partizan@altlinux.ru> 1.2.7-alt1
- Built for %cross_arch target

* Mon Sep 13 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.7-alt1
- Updated to 1.2.7.

* Tue Sep 07 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.6-alt2
- Applied pngwutil bugfix from upstream.

* Wed Sep 01 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.6-alt1
- Updated to 1.2.6.
- Added multilib support (#5094).

* Mon Aug 02 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.5-alt5
- Applied patch from upstream maintainer,
  to fix CAN-2004-0597, CAN-2004-0598 and CAN-2004-0599.

* Wed Jun 30 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.5-alt4
- Updated patch for the buffer overflow in
  png_do_read_filler() function (CAN-2002-1363).

* Tue May 04 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.5-alt3
- Changed shared library:
  + introduced versioning;
  + export legacy symbols on PNG_INTERNAL interface;
  + export normal symbols on PNG_12 interface.

* Sat May 01 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.5-alt2
- Applied patch to pngerror.c by Steve Grubb to fix unintended
  memory access that could result in a crash of the application
  linking against libpng [CAN-2004-0421].
- Changed shared library: restricted list of exported symbols
  to those which are mentioned in png.h and libpng(3).

* Mon Feb 17 2003 Dmitry V. Levin <ldv@altlinux.org> 1.2.5-alt1
- Updated to 1.2.5

* Tue Jan 14 2003 Dmitry V. Levin <ldv@altlinux.org> 1.2.4-alt5
- Applied patch to pngrtran.c by Glenn Randers-Pehrson to fix
  a buffer overrun.

